# Get a list of public keys

Gets a list of administration and client public keys.

Endpoint: GET /api/v1.1/public-keys
Version: v1.1
Security: AdministrationAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

## Query parameters:

  - `next` (integer)
    Enter the next page value returned by the response to the previous GET /public-keys request to get the next batch of public keys.

  - `size` (integer)
    Number of keys to fetch.

## Response 200:

  - `200` (unknown)
    OK. The request succeeded in its entirety.

## Response 200 fields (application/json):

  - `keys` (array)
    The public keys.

  - `keys.id` (string)
    Identifies the public key.

  - `keys.type` (string)
    Type of the public key (administration-key or client-key).

  - `keys.publicKey` (string)
    A public key in PEM format.

  - `keys.created` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the key was created.

  - `keys.modified` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the key was last modified.

  - `next` (integer)
    Use this page value in your next GET /public-keys request to fetch the next batch of public keys.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

